// Code generated by go-swagger; DO NOT EDIT.

package application

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "gitlab.com/pear-slices/mobile_platform/bitrise-step-api-build-trigger/models"
)

// AppConfigDatastoreShowReader is a Reader for the AppConfigDatastoreShow structure.
type AppConfigDatastoreShowReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *AppConfigDatastoreShowReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {

	case 200:
		result := NewAppConfigDatastoreShowOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil

	case 400:
		result := NewAppConfigDatastoreShowBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 401:
		result := NewAppConfigDatastoreShowUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 404:
		result := NewAppConfigDatastoreShowNotFound()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 500:
		result := NewAppConfigDatastoreShowInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewAppConfigDatastoreShowOK creates a AppConfigDatastoreShowOK with default headers values
func NewAppConfigDatastoreShowOK() *AppConfigDatastoreShowOK {
	return &AppConfigDatastoreShowOK{}
}

/*AppConfigDatastoreShowOK handles this case with default header values.

{the bitrise.yml in yml format}
*/
type AppConfigDatastoreShowOK struct {
	Payload string
}

func (o *AppConfigDatastoreShowOK) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/bitrise.yml][%d] appConfigDatastoreShowOK  %+v", 200, o.Payload)
}

func (o *AppConfigDatastoreShowOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	// response payload
	if err := consumer.Consume(response.Body(), &o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewAppConfigDatastoreShowBadRequest creates a AppConfigDatastoreShowBadRequest with default headers values
func NewAppConfigDatastoreShowBadRequest() *AppConfigDatastoreShowBadRequest {
	return &AppConfigDatastoreShowBadRequest{}
}

/*AppConfigDatastoreShowBadRequest handles this case with default header values.

Bad Request
*/
type AppConfigDatastoreShowBadRequest struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *AppConfigDatastoreShowBadRequest) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/bitrise.yml][%d] appConfigDatastoreShowBadRequest  %+v", 400, o.Payload)
}

func (o *AppConfigDatastoreShowBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewAppConfigDatastoreShowUnauthorized creates a AppConfigDatastoreShowUnauthorized with default headers values
func NewAppConfigDatastoreShowUnauthorized() *AppConfigDatastoreShowUnauthorized {
	return &AppConfigDatastoreShowUnauthorized{}
}

/*AppConfigDatastoreShowUnauthorized handles this case with default header values.

Unauthorized
*/
type AppConfigDatastoreShowUnauthorized struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *AppConfigDatastoreShowUnauthorized) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/bitrise.yml][%d] appConfigDatastoreShowUnauthorized  %+v", 401, o.Payload)
}

func (o *AppConfigDatastoreShowUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewAppConfigDatastoreShowNotFound creates a AppConfigDatastoreShowNotFound with default headers values
func NewAppConfigDatastoreShowNotFound() *AppConfigDatastoreShowNotFound {
	return &AppConfigDatastoreShowNotFound{}
}

/*AppConfigDatastoreShowNotFound handles this case with default header values.

Not Found
*/
type AppConfigDatastoreShowNotFound struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *AppConfigDatastoreShowNotFound) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/bitrise.yml][%d] appConfigDatastoreShowNotFound  %+v", 404, o.Payload)
}

func (o *AppConfigDatastoreShowNotFound) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewAppConfigDatastoreShowInternalServerError creates a AppConfigDatastoreShowInternalServerError with default headers values
func NewAppConfigDatastoreShowInternalServerError() *AppConfigDatastoreShowInternalServerError {
	return &AppConfigDatastoreShowInternalServerError{}
}

/*AppConfigDatastoreShowInternalServerError handles this case with default header values.

Internal Server Error
*/
type AppConfigDatastoreShowInternalServerError struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *AppConfigDatastoreShowInternalServerError) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/bitrise.yml][%d] appConfigDatastoreShowInternalServerError  %+v", 500, o.Payload)
}

func (o *AppConfigDatastoreShowInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
